Download it now!
Bug 116529 - (Notebookbar) Margins only show in CM
Summary: (Notebookbar) Margins only show in CM
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.2.0.1
Keywords:
Depends on:
Blocks: Notebookbar-Tabbed
  Show dependency treegraph
 
Reported: 2018-03-21 02:26 UTC by Joe
Modified: 2018-12-13 19:41 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
still reproducible in LibreOffice 6.2 beta1 (125.83 KB, image/png)
2018-12-10 10:53 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joe 2018-03-21 02:26:02 UTC
Description:
On the tabbed Notebookbar in Writer, clicking the 'Page Margins' icon in the 'Page Layout' tab reveals a dropdown with the margin in centimeters despite using inches as the default format.

Steps to Reproduce:
(See description)

Actual Results:  
(See description)

Expected Results:
Margins should show in the user-defined unit of measurement.


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:60.0) Gecko/20100101 Firefox/60.0
Comment 1 Jacques Guilleron 2018-03-21 16:10:19 UTC
Hi Joe,

I reproduce with
LO 6.1.0.0.alpha0+ Build ID: dd4f1b1bd31daf080dc0420524712dc244e539b5
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-03-20_23:26:38
Locale: en-US (fr_FR); Calc: CL
and
LO 5.3.1.1 Build ID: 72fee18f394a980128dc111963f2eefb05998eeb
CPU Threads: 2; OS Version: Windows 6.1; UI Render: default; Layout Engine: new; 
Locale: en-US (fr_FR); Calc: CL
Comment 2 andreas_k 2018-12-09 00:09:53 UTC
In 6.2 daily build I see default format. Can someone else verify if it will now use the correct format.

Version: 6.2.0.0.beta1+ (x64)
Build ID: 46f2473fc88f922153247175dfac4c293eb356f8
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:libreoffice-6-2, Time: 2018-12-07_23:20:05
Locale: de-AT (de_AT); UI-Language: en-US
Calc: threaded
Comment 3 Xisco Faulí 2018-12-10 10:53:43 UTC
Created attachment 147415 [details]
still reproducible in LibreOffice 6.2 beta1
Comment 4 Xisco Faulí 2018-12-10 22:08:14 UTC
I see 0cm is set in the .ui file -> https://opengrok.libreoffice.org/xref/core/sw/uiconfig/swriter/ui/pagemargincontrol.ui#351
and looking for a similar commit where those values were deleted from the .ui file, I found https://cgit.freedesktop.org/libreoffice/core/commit/?id=4b7e2b8a64eca337ea06f7d11fc9d2f66a9d555e

@Caolán, Do you think the issue will get fixed if the widget is welded ?
Comment 5 Caolán McNamara 2018-12-11 08:56:45 UTC
Typically the thing that switches such MetricField/MetricSpinButton to inch vs cm depending on the ui format is "SetFieldUnit", so I imagine someone needs to try and and add a call of that on that widget
Comment 6 Xisco Faulí 2018-12-13 13:21:31 UTC
(In reply to Caolán McNamara from comment #5)
> Typically the thing that switches such MetricField/MetricSpinButton to inch
> vs cm depending on the ui format is "SetFieldUnit", so I imagine someone
> needs to try and and add a call of that on that widget

seems to work: https://gerrit.libreoffice.org/#/c/65105/
Comment 7 Commit Notification 2018-12-13 16:24:49 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/3e06873d124c9f8f4cd2e5f5d619de3c99ca09bf%5E%21

tdf#116529: Add calls to SetFieldUnit to switch inch/cm

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-12-13 19:41:03 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/b41e256f3ed994338546bbac2a85b223ce802fce%5E%21

tdf#116529: Add calls to SetFieldUnit to switch inch/cm

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.